#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, i;
    scanf("%d", &n);
    int m = 1, v = n+1;

    for (int i = 1; i <= n; ++i) {
        if (i % 2 == 0) {
            printf("%d ", m++);
        } else {
            printf("%d ", v++);
        }

    }
    printf("\n");
    for (int i = 1; i <= n; ++i) {
        if (i % 2 == 0) {
            printf("%d ", v++);
        } else {
            printf("%d ", m++);
        }
    }

    return 0;
}